<jnt-app-layout [position]="ui.placement.fixed">
  <jnt-app-busyness></jnt-app-busyness>
  <jnt-app-header>
    <ng-template #headerLogoTemplate>
      <a routerLink="['/']">
        <img [src]="'assets/images/logo' + (themeControl.value === theme.light ? '-light' : '-dark') + '.svg'">
      </a>
    </ng-template>

    <jnt-menu #headerTopMenu [spacing]="ui.gutter.normal">
      <jnt-menu-item title="Handbook"
                     i18n-title="@@label.handbook"
                     [icon]="localUi.icons.top.documentation"
                     [matching]="ui.matching.wildcard"
                     [link]="['/handbook/home']">
      </jnt-menu-item>
      <jnt-menu-item title="Team"
                     i18n-title="@@label.team"
                     [icon]="localUi.icons.top.team"
                     [link]="['/team']"
                     [matching]="ui.matching.wildcard"></jnt-menu-item>
      <!-- TODO: add [analytics]="{ type: analyticsType.goal, goal: 'GitLab' }"-->
      <jnt-menu-item title="GitLab"
                     i18n-title="@@label.gitlab"
                     link="https://gitlab.com/junte/junte-ui"
                     target="_blank"
                     [icon]="ui.icons.gitlab"></jnt-menu-item>
      <!-- TODO: add [analytics]="{ type: analyticsType.goal, goal: 'Figma' }"-->
      <jnt-menu-item title="NPM"
                     i18n-title="@@label.npm"
                     link="https://www.npmjs.com/package/@junte/ui"
                     target="_blank"
                     [icon]="localUi.icons.top.npm"></jnt-menu-item>
    </jnt-menu>

    <ng-template #headerContentTemplate>
      <jnt-stack [orientation]="ui.orientation.horizontal"
                 [align]="ui.align.center">
        <form [formGroup]="themeForm">
          <jnt-theme-switcher [appAnalytics]="{ type: analyticsType.goal, goal: 'themeChange' }"
                              formControlName="theme"></jnt-theme-switcher>
        </form>
        <app-select-lang></app-select-lang>
      </jnt-stack>
    </ng-template>
  </jnt-app-header>

  <jnt-app-aside #aside>
    <jnt-menu [spacing]="ui.gutter.none">
      <jnt-menu-item title="Home"
                     i18n-title="@@label.home"
                     [link]="['/handbook/home']"
                     [icon]="localUi.icons.home"></jnt-menu-item>
      <jnt-menu-item title="Theming"
                     i18n-title="@@label.theming"
                     [link]="['/handbook/theming']"
                     [icon]="localUi.icons.theming"></jnt-menu-item>
      <jnt-menu-item title="Typography"
                     i18n-title="@@label.typography"
                     [link]="['/handbook/typography']"
                     [icon]="localUi.icons.typography"></jnt-menu-item>

      <jnt-menu-item title="Layout"
                     i18n-title="@@label.layout"
                     [link]="['/handbook/layout']"
                     [matching]="ui.matching.wildcard"
                     [icon]="localUi.icons.layout">
        <jnt-badge [value]="(handbook.layout.components | keyvalue).length" [color]="ui.color.paleNavy"></jnt-badge>
        <jnt-sub-menu>
          <jnt-sub-menu-item title="Stack"
                             i18n-title="@@label.stack"
                             [link]="['/handbook/layout/stack']"
                             [icon]="localUi.icons.stack"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Grid"
                             i18n-title="@@label.grid"
                             [link]="['/handbook/layout/grid']"
                             [icon]="localUi.icons.grid"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Block"
                             i18n-title="@@label.block"
                             [link]="['/handbook/layout/block']"
                             [icon]="localUi.icons.block"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Card"
                             i18n-title="@@label.card"
                             [link]="['/handbook/layout/card']"
                             [icon]="localUi.icons.card"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Responsive"
                             i18n-title="@@label.responsive"
                             [link]="['/handbook/layout/responsive']"
                             [icon]="localUi.icons.responsive"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Skeleton"
                             i18n-title="@@label.skeleton"
                             [link]="['/handbook/layout/skeleton']"
                             [icon]="localUi.icons.skeleton"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Spinner"
                             i18n-title="@@label.spinner"
                             [link]="['/handbook/layout/spinner']"
                             [icon]="localUi.icons.spinner"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Application"
                             i18n-title="@@label.application"
                             [link]="['/handbook/layout/application']"
                             [icon]="localUi.icons.layout"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Informer"
                             i18n-title="@@label.informer"
                             [link]="['/handbook/layout/informer']"
                             [icon]="localUi.icons.informer"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Collapsible"
                             i18n-title="@@label.collapsible"
                             [link]="['/handbook/layout/collapsible']"
                             [icon]="localUi.icons.collapsible"></jnt-sub-menu-item>
        </jnt-sub-menu>
      </jnt-menu-item>

      <jnt-menu-item title="Navigation"
                     i18n-title="@@label.navigation"
                     [link]="['/handbook/navigation']"
                     [matching]="ui.matching.wildcard"
                     [icon]="localUi.icons.navigation">
        <jnt-badge [value]="(handbook.navigation.components | keyvalue).length"
                   [color]="ui.color.paleNavy"></jnt-badge>
        <jnt-sub-menu>
          <jnt-sub-menu-item title="Link"
                             i18n-title="@@label.link"
                             [link]="['/handbook/navigation/link']"
                             [icon]="localUi.icons.link"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Menu"
                             i18n-title="@@label.menu"
                             [link]="['/handbook/navigation/menu']"
                             [icon]="localUi.icons.menu"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Tabs"
                             i18n-title="@@label.tabs"
                             [link]="['/handbook/navigation/tabs']"
                             [icon]="localUi.icons.tabs"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Pager"
                             i18n-title="@@label.pager"
                             [link]="['/handbook/navigation/pager']"
                             [icon]="localUi.icons.pager"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Breadcrumbs"
                             i18n-title="@@label.breadcrumbs"
                             [link]="['/handbook/navigation/breadcrumbs']"
                             [icon]="localUi.icons.breadcrumbs"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Accordion"
                             i18n-title="@@label.accordion"
                             [link]="['/handbook/navigation/accordion']"
                             [icon]="localUi.icons.accordion"></jnt-sub-menu-item>
        </jnt-sub-menu>
      </jnt-menu-item>

      <jnt-menu-item title="Elements"
                     i18n-title="@@label.ui_elements"
                     [link]="['/handbook/ui-elements']"
                     [matching]="ui.matching.wildcard"
                     [icon]="localUi.icons.elements">
        <jnt-badge [value]="(handbook.elements.components | keyvalue).length" [color]="ui.color.paleNavy"></jnt-badge>
        <jnt-sub-menu>
          <jnt-sub-menu-item title="Icon"
                             i18n-title="@@label.icon"
                             [link]="['/handbook/ui-elements/icon']"
                             [icon]="localUi.icons.icon"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Avatar"
                             i18n-title="@@label.avatar"
                             [link]="['/handbook/ui-elements/avatar']"
                             [icon]="localUi.icons.avatar"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Picture"
                             i18n-title="@@label.picture"
                             [link]="['/handbook/ui-elements/picture']"
                             [icon]="localUi.icons.picture"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Badge"
                             i18n-title="@@label.badge"
                             [link]="['/handbook/ui-elements/badge']"
                             [icon]="localUi.icons.badge"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Label"
                             i18n-title="@@label.label"
                             [link]="['/handbook/ui-elements/label']"
                             [icon]="localUi.icons.label"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Dot"
                             i18n-title="@@label.dot"
                             [link]="['/handbook/ui-elements/dot']"
                             [icon]="localUi.icons.dot"></jnt-sub-menu-item>
        </jnt-sub-menu>
      </jnt-menu-item>

      <jnt-menu-item title="Forms"
                     i18n-title="@@label.forms"
                     [link]="['/handbook/forms']"
                     [matching]="ui.matching.wildcard"
                     [icon]="localUi.icons.forms">
        <jnt-badge [value]="(handbook.forms.components | keyvalue).length" [color]="ui.color.paleNavy"></jnt-badge>
        <jnt-sub-menu>
          <jnt-sub-menu-item title="Button"
                             i18n-title="@@label.button"
                             [link]="['/handbook/forms/button']"
                             [icon]="localUi.icons.button"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Form"
                             i18n-title="@@label.form"
                             [link]="['/handbook/forms/form']"
                             [icon]="localUi.icons.form"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Input"
                             i18n-title="@@label.input"
                             [link]="['/handbook/forms/input']"
                             [icon]="localUi.icons.input"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Checkbox"
                             i18n-title="@@label.checkbox"
                             [link]="['/handbook/forms/checkbox']"
                             [icon]="localUi.icons.checkbox"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Radio"
                             i18n-title="@@label.radio"
                             [link]="['/handbook/forms/radio']"
                             [icon]="localUi.icons.radio"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Select"
                             i18n-title="@@label.select"
                             [link]="['/handbook/forms/select']"
                             [icon]="localUi.icons.select"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Slider"
                             i18n-title="@@label.slider"
                             [link]="['/handbook/forms/slider']"
                             [icon]="localUi.icons.slider"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Switch"
                             i18n-title="@@label.switch"
                             [link]="['/handbook/forms/switch']"
                             [icon]="localUi.icons.switch"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Switcher"
                             i18n-title="@@label.switcher"
                             [link]="['/handbook/forms/switcher']"
                             [icon]="localUi.icons.switcher"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Calendar"
                             i18n-title="@@label.calendar"
                             [link]="['/handbook/forms/calendar']"
                             [icon]="localUi.icons.calendar"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Date Picker"
                             i18n-title="@@label.date_picker"
                             [link]="['/handbook/forms/date-picker']"
                             [icon]="localUi.icons.datePicker"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Selectable"
                             i18n-title="@@label.selectable"
                             [link]="['/handbook/forms/selectable']"
                             [icon]="localUi.icons.selectable"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Filter"
                             i18n-title="@@label.filter"
                             [link]="['/handbook/forms/filter']"
                             [icon]="localUi.icons.filter"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Image Cropper"
                             i18n-title="@@label.image_cropper"
                             [link]="['/handbook/forms/image-cropper']"
                             [icon]="localUi.icons.cropper"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Image Uploader"
                             i18n-title="@@label.image_uploader"
                             [link]="['/handbook/forms/image-uploader']"
                             [icon]="localUi.icons.imageUploader"></jnt-sub-menu-item>
        </jnt-sub-menu>
      </jnt-menu-item>

      <jnt-menu-item title="Collections"
                     i18n-title="@@label.collections"
                     [link]="['/handbook/collections']"
                     [matching]="ui.matching.wildcard"
                     [icon]="localUi.icons.collections">
        <jnt-badge [value]="(handbook.collections.components | keyvalue).length"
                   [color]="ui.color.paleNavy"></jnt-badge>
        <jnt-sub-menu>
          <jnt-sub-menu-item title="Gantt"
                             i18n-title="@@label.gantt"
                             [link]="['/handbook/collections/gantt']"
                             [icon]="localUi.icons.gantt"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Table"
                             i18n-title="@@label.table"
                             [link]="['/handbook/collections/table']"
                             [icon]="localUi.icons.table"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Timeline"
                             i18n-title="@@label.timeline"
                             [link]="['/handbook/collections/timeline']"
                             [icon]="localUi.icons.timeline"></jnt-sub-menu-item>
        </jnt-sub-menu>
      </jnt-menu-item>

      <jnt-menu-item title="Overlays"
                     i18n-title="@@label.overlays"
                     [link]="['/handbook/overlays']"
                     [matching]="ui.matching.wildcard"
                     [icon]="localUi.icons.overlays">
        <jnt-badge [value]="(handbook.overlays.components | keyvalue).length" [color]="ui.color.paleNavy"></jnt-badge>
        <jnt-sub-menu>
          <jnt-sub-menu-item title="Modal"
                             i18n-title="@@label.modal"
                             [link]="['/handbook/overlays/modal']"
                             [icon]="localUi.icons.modal">>
          </jnt-sub-menu-item>
          <jnt-sub-menu-item title="Popover"
                             i18n-title="@@label.popover"
                             [link]="['/handbook/overlays/popover']"
                             [icon]="localUi.icons.popover">>
          </jnt-sub-menu-item>
        </jnt-sub-menu>
      </jnt-menu-item>

      <jnt-menu-item title="Dynamic Data"
                     i18n-title="@@label.dynamic_data"
                     [link]="['/handbook/dynamic-data']"
                     [matching]="ui.matching.wildcard"
                     [icon]="localUi.icons.dynamic">
        <jnt-badge [value]="(handbook.dynamic_data.components | keyvalue).length"
                   [color]="ui.color.paleNavy"></jnt-badge>
        <jnt-sub-menu>
          <jnt-sub-menu-item title="Progress bar"
                             i18n-title="@@label.progress_bar"
                             [link]="['/handbook/dynamic-data/progress-bar']"
                             [icon]="localUi.icons.progressBar"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Circle bar"
                             i18n-title="@@label.circle_bar"
                             [link]="['/handbook/dynamic-data/circle-bar']"
                             [icon]="localUi.icons.circleBar"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Chart"
                             i18n-title="@@label.chart"
                             [link]="['/handbook/dynamic-data/chart']"
                             [icon]="localUi.icons.chart"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Date Period"
                             i18n-title="@@label.date_period"
                             [link]="['/handbook/dynamic-data/date-period']"
                             [icon]="localUi.icons.datePeriod"></jnt-sub-menu-item>
          <jnt-sub-menu-item title="Timer"
                             i18n-title="@@label.timer"
                             [link]="['/handbook/dynamic-data/timer']"
                             [icon]="localUi.icons.timer"></jnt-sub-menu-item>
        </jnt-sub-menu>
      </jnt-menu-item>

      <jnt-menu-item title="Other"
                     i18n-title="@@label.other"
                     [link]="['/handbook/other']"
                     [matching]="ui.matching.wildcard"
                     [icon]="localUi.icons.other">
        <jnt-badge [value]="(handbook.other.components | keyvalue).length" [color]="ui.color.paleNavy"></jnt-badge>
        <jnt-sub-menu>
          <jnt-sub-menu-item title="Animations"
                             i18n-title="@@label.animations"
                             [link]="['/handbook/other/animations']"
                             [icon]="localUi.icons.animations">
          </jnt-sub-menu-item>
          <jnt-sub-menu-item title="Pipes"
                             i18n-title="@@label.pipes"
                             [link]="['/handbook/other/pipes']"
                             [icon]="localUi.icons.pipes">
          </jnt-sub-menu-item>
          <jnt-sub-menu-item title="Confirm"
                             i18n-title="@@label.confirm"
                             [link]="['/handbook/other/confirm']"
                             [icon]="localUi.icons.confirm">
          </jnt-sub-menu-item>
          <jnt-sub-menu-item title="Empty"
                             i18n-title="@@label.empty"
                             [link]="['/handbook/other/empty']"
                             [icon]="localUi.icons.confirm">
          </jnt-sub-menu-item>
          <jnt-sub-menu-item title="Message"
                             i18n-title="@@label.message"
                             [link]="['/handbook/other/message']"
                             [icon]="localUi.icons.message">
          </jnt-sub-menu-item>
          <jnt-sub-menu-item title="Shortcuts"
                             i18n-title="@@label.shortcuts"
                             [link]="['/handbook/other/shortcuts']"
                             [icon]="localUi.icons.shortcut">
          </jnt-sub-menu-item>
        </jnt-sub-menu>
      </jnt-menu-item>

    </jnt-menu>

  </jnt-app-aside>

  <jnt-app-content [aside]="aside">
    <jnt-breadcrumbs [aside]="aside" [features]="[]"></jnt-breadcrumbs>
    <jnt-app-page-meta></jnt-app-page-meta>
    <jnt-app-body>
      <router-outlet></router-outlet>
    </jnt-app-body>
    <jnt-app-footer>
      <app-footer></app-footer>
    </jnt-app-footer>
  </jnt-app-content>
</jnt-app-layout>
